Package com.databricks.jdbc.auth

## Class AzureExternalBrowserProvider

- java.lang.Object
- - com.databricks.jdbc.auth.AzureExternalBrowserProvider

All Implemented Interfaces:
  `com.databricks.sdk.core.CredentialsProvider`

    public class AzureExternalBrowserProvider
    extends Object
    implements com.databricks.sdk.core.CredentialsProvider

Production-ready Azure U2M OAuth provider for Databricks SQL.

This provider implements the OAuth 2.0 Authorization Code flow with PKCE (Proof Key for Code Exchange) for Azure Databricks workspaces. It handles: - OAuth configuration discovery - PKCE challenge generation - Browser-based authentication - Token exchange and refresh - Automatic token expiration handling

### Constructor Summary

Constructors
`AzureExternalBrowserProvider​(IDatabricksConnectionContext connectionContext, int availablePort)` Constructor for Azure OAuth provider.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `authType()`
`com.databricks.sdk.core.HeaderFactory` `configure​(com.databricks.sdk.core.DatabricksConfig databricksConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AzureExternalBrowserProvider

    public AzureExternalBrowserProvider​(IDatabricksConnectionContext connectionContext,
                                        int availablePort)
                                 throws DatabricksParsingException

Constructor for Azure OAuth provider.

Parameters:
  `connectionContext` - The connection context containing OAuth configuration
Throws:
  `DatabricksParsingException`

### Method Detail

#### authType

    public String authType()

Specified by:
  `authType` in interface `com.databricks.sdk.core.CredentialsProvider`

#### configure

    public com.databricks.sdk.core.HeaderFactory configure​(com.databricks.sdk.core.DatabricksConfig databricksConfig)

Specified by:
  `configure` in interface `com.databricks.sdk.core.CredentialsProvider`